Copyright: Created with EasyHelp (Tel: 0973 209667)


SignalP/Sign Changer - RG354160

Description

This block implements the sign changer function; it provides a single output.

The Sign input selects between the inverting and non-inverting modes.

Both the primary Input and the Sign input are persistent.

Parameters

Input	Primary input to the block.  Expects a value (-100% to +100%).

Sign 	Sign input.  Expects either Negative (false) or Positive (true).

Get Input	Returns the current value of the input:  -100% to +100%.

Get Output	Returns the current value of the output:  -100% to +100%.

Get Sign	Returns the current state of the Sign input.  Either Negative or Positive.


Description

This block implements the sign changer function; it provides a single output.

The Sign input selects between the inverting and non-inverting modes.

Both the primary Input and the Sign input are persistent.


Parameters

Input	Primary input to the block.  Expects a value (-100% to +100%).

Sign 	Sign input.  Expects either Negative (false) or Positive (true).

Get Input	Returns the current value of the input:  -100% to +100%.

Get Output	Returns the current value of the output:  -100% to +100%.

Get Sign	Returns the current state of the Sign input.  Either Negative or Positive.